﻿using UnityEngine;
using System.Collections;

public class Wave : MonoBehaviour {

    public float movespeed = 3;
    public float startDelay;
    public Vector3 userDirection = Vector3.right;
    private PauseMenu pauseMenu;

    void Start()
    {
       pauseMenu = GameObject.FindGameObjectWithTag("MainCamera").GetComponent<PauseMenu>();
    }

    public void Update()
    {
        if (!pauseMenu.paused)
        {
            StartCoroutine(Move());
        }
    }

    IEnumerator Move ()
    {
        yield return new WaitForSeconds(startDelay);
        transform.Translate(userDirection * movespeed * Time.deltaTime);
        yield return 0;
    }
}
