﻿using UnityEngine;
using System.Collections;

public class FallingPlatform : MonoBehaviour {
    private Rigidbody2D rb2D;
    public float fallDelay;

    void Start()
    {
        rb2D = GetComponent<Rigidbody2D>();
    }

    private void OnCollisionEnter2D(Collision2D collision)
    {
        if (collision.collider.CompareTag("Player"));
        {
            StartCoroutine(Fall());
        }
    }

    IEnumerator Fall()
    {
        yield return new WaitForSeconds(fallDelay);
        rb2D.isKinematic = false;

        yield return 0;

    }
}
