﻿using UnityEngine;
using System.Collections;

public class GameOver : MonoBehaviour {

    public GameObject GameOverUI;
    private Player player;

    void Start()
    {
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player>();
        GameOverUI.SetActive(false);
    }

    void Update()
    {
        if (player.death)
        {
            GameOverUI.SetActive(true);
            Time.timeScale = 0;
        }
    }


    public void Restart()
    {
        Application.LoadLevel(Application.loadedLevel);
    }

    public void Quit()
    {
        Application.Quit();
    }

}
