﻿using UnityEngine;
using UnityEngine.UI; 
using System.Collections;

public class Timer : MonoBehaviour {

    public Text timerText;

    private Player player;
    private float startTime;

	void Start () {
        startTime = Time.time;
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player>();
	}
	
	void Update () {
        float t = Time.time - startTime;

        string minutes = ((int)t / 60).ToString();
        string seconds = (t % 60).ToString("f2");

        timerText.text = minutes + ":" + seconds;

        if (player.victory)
        {
            timerText.text = "";
        }
	}
}
